# jigshell help

Jigsaw Home / Documentation Overview

This is a (very) brief help document for jigshell. It is not a complete reference.

To start the jigshell Interpreter, you should provide at least a path to the Jigsaw store and the name of the server (e.g. http-server):

    java org.w3c.tools.offline.command.Main config/stores http-server

Jigshell first reads your store index and then you should enter the interactive mode and get a prompt. Available commands are:

- list [regexp] gives the list of resources matching the given regular expression or all resources if no regexp is specified.
- where gives the current place.
- go [..|somewhere] goes back to the preceding resource or to a specified resource.
- s/attribute=value/new_value/ regexp replaces an attribute value in resources matching the given regular expression.

Available options:

- -r recursive action (for list and s/ / / commands).
- -a print all attributes (for list command).

You also can run batch scripts using these commands.

    java org.w3c.tools.offline.command.Main config/stores http-server batch_file

Note that jigshell may produce large outputs and it should be wise to redirect standard output to an output_file.